//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "CSPIN.h"
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include "XComDrv.hpp"
#include <Chart.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
  TXComm *XComm1;
  TMemo *Memo1;
  TButton *Button1;
  TButton *Button2;
  TButton *Button3;
  TCSpinEdit *hour;
  TCSpinEdit *minute;
  TLabel *Label1;
  TLabel *RBytes;
  TRadioGroup *ComPort;
  TMemo *Memo2;
  TLabel *Label2;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Leistung;
  TLabel *SolarU;
  TLabel *NetzU;
  TLabel *Temperatur;
  TButton *Button4;
  TCheckBox *CheckBox1;
  TLabel *Label6;
  TLabel *Tage;
  TLabel *Label7;
  TLabel *Datum;
  TButton *Button5;
  TMemo *Memo3;
  TSaveDialog *SaveDialog1;
  TButton *Button8;
	TChart *Chart1;
	TBarSeries *Series1;
	TButton *Button6;
	TOpenDialog *OpenDialog1;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall XComm1Data(TObject *Sender, const DWORD Received);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Button2Click(TObject *Sender);
  void __fastcall Button3Click(TObject *Sender);
  void __fastcall ComPortClick(TObject *Sender);
  void __fastcall Button4Click(TObject *Sender);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall Button5Click(TObject *Sender);
  void __fastcall Button8Click(TObject *Sender);
	void __fastcall Button6Click(TObject *Sender);
private:	// Anwenderdeklarationen
  String s;
  int    index;
  unsigned char buffer[2048];
public:		// Anwenderdeklarationen
  __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
